## esys-particle 2.1

=== debian/changelog ===
esys-particle (2.1-3) unstable; urgency=low

  * [2d540b8] Fix typo in fix_as-needed.patch. Caused import-module problems.
  * [20fd4d3] Bumped Standards-Version: 3.9.3. No changes.
  * [c8c5486] Hardening BD of python to >=2.7. (Closes: #662211)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 03 Apr 2012 19:37:20 +0200

esys-particle (2.1-2) unstable; urgency=high

  * [9e6ef47] Fix linking problem, appeared on Ubuntu (--as-needed).

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 26 Jan 2012 21:01:07 +0100

esys-particle (2.1-1) unstable; urgency=low

  * Initial commit. (Closes: #649320)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 19 Nov 2011 22:42:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@

CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := -lboost_system $(shell dpkg-buildflags --get LDFLAGS)

extra_flags += CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' --with-epydoc

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf $(DESTDIR)
	dh_clean

override_dh_auto_configure:
	mkdir -p $(DESTDIR)
	./autogen.sh
	dh_auto_configure -- CC=mpicc CXX=mpicxx --prefix=/usr --exec_prefix=/usr $(extra_flags) 

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR)
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.pyo' -print0 | xargs -0 rm -f
	find . -name '*.la' -print0 | xargs -0 rm -f

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_pysupport:

=== debian/watch ===
version=3
http://launchpad.net/esys-particle/+download http://launchpad.net/esys-particle/*/.*/ESyS-Particle-(.+).tar.gz

## esys-particle 2.2.u2

=== CMakeLists.txt ===
FILE(GLOB GEOMETRY_SRC_LIB "*.cpp")
#===========================================================
ADD_LIBRARY(Geometry SHARED ${GEOMETRY_SRC_LIB})
TARGET_LINK_LIBRARIES(Geometry Foundation ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS Geometry DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== ForceChains/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(fcconv ${SRC})
TARGET_LINK_LIBRARIES(fcconv Foundation)
INSTALL(TARGETS fcconv DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dump2geo/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(dump2geo ${SRC})
INSTALL(TARGETS dump2geo DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dump2vtk/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(dump2vtk ${SRC})
INSTALL(TARGETS dump2vtk DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== src/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

ADD_LIBRARY(libppa SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(libppa ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS libppa DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

## esys-particle 2.2.u1

=== debian/changelog ===
esys-particle (2.2.u1-2) unstable; urgency=low

  * [316ed28] Add graphviz to BD.
  * [1a8b487] Disable autotests on some archs (mpich2).

 -- Anton Gladky <gladk@debian.org>  Mon, 06 May 2013 21:11:26 +0200

esys-particle (2.2.u1-1) unstable; urgency=low

  * [9f6d5e3] Imported Upstream version 2.2.u1
  * [d3c46e6] Update email.
  * [e48af0f] Update dates in copyright.
  * [40e5f64] Use dh-autoreconf.
  * [3183764] Clean in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sun, 05 May 2013 20:41:18 +0200

esys-particle (2.2-1~exp1) experimental; urgency=low

  * [026c8ef] Remove patches. They were applied by upstream.
  * [f51c6c0] Use --parallel option in dh-rules for faster building.
  * [c22ba63] Update copyright due to released DEP-5.
  * [32525e6] Replace jquery by packaged one.
  * [569f837] Update watch-file. Thanks to Bart Martens <bartm@debian.org>.
  * [f98a9c4] Imported Upstream version 2.2
  * [5cb4f2c] Use compat-level 9.
  * [7b16a0d] Remove obsolete DM-Upload-Allowed flag.
  * [da3d84e] Bump Standards-Version: 3.9.4. No changes.
  * [7c1de8e] Override binary-or-shlib-defines-rpath lintian error. See #694478.
  * [97e9d09] Add multiarch pre-depends.
  * [5d0df74] Enable autotests.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 30 Dec 2012 23:21:24 +0100

esys-particle (2.1-4) unstable; urgency=low

  * [c22ba63] Update copyright due to released DEP-5.
  * [32525e6] Replace jquery by packaged one.
  * [c69e9d7] Split doc-base documentation into 2 docs.
  * [999c493] Fix FTBFS against gcc-4.7. (Closes: #667158)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 08 May 2012 19:57:12 +0200

=== debian/control ===
Source: esys-particle
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), libtool (>= 1.5.2), automake (>= 1.8.2), 
 autoconf (>= 2.59), libltdl7-dev, libboost-dev, libboost-iostreams-dev, 
 libcppunit-dev, python-epydoc, autotools-dev, libboost-all-dev,
 mpi-default-bin, mpi-default-dev, libvtk5-dev, doxygen, python-demgengeo,
 dh-autoreconf, graphviz
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:  Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Homepage: https://launchpad.net/esys-particle
Vcs-Git: git://git.debian.org/git/debian-science/packages/esys-particle.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/esys-particle.git

Package: esys-particle
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:  mpi-default-bin, python-demgengeo, python (>= 2.7), 
 ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Suggests: paraview
Description: Software for particle-based numerical modelling. MPI version.
 ESyS-Particle is Open Source software for particle-based numerical modelling. 
 The software implements the Discrete Element Method (DEM), a widely used 
 technique for modelling processes involving large deformations, granular flow 
 and/or fragmentation. ESyS-Particle is designed for execution on parallel 
 supercomputers, clusters or multi-core PCs running a Linux-based operating 
 system. The C++ simulation engine implements spatial domain decomposition via 
 the Message Passing Interface (MPI). A Python wrapper API provides flexibility 
 in the design of numerical models, specification of modelling parameters and 
 contact logic, and analysis of simulation data. ESyS-Particle has been 
 utilised to simulate earthquake nucleation, comminution in shear cells, silo 
 flow, rock fragmentation, and fault gouge evolution, to name but a few 
 applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

export LD_LIBRARY_PATH :=  $(CURDIR)/debian/esys-particle/usr/lib/${DEB_HOST_MULTIARCH}/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/util/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/:$(LD_LIBRARY_PATH);

export PYTHONPATH := $(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/:$(PYTHONPATH);

CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := -lboost_system $(shell dpkg-buildflags --get LDFLAGS)

extra_flags += CC=mpicc CXX=mpicxx CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)'\
 LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags) 

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_pysupport:

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))	
	cd $(CURDIR)/debian/test; python box.py 15.0
	cd $(CURDIR)/debian/test; mpirun -np 3 $(CURDIR)/debian/esys-particle/usr/bin/esysparticle compression.py; cat nbons.dat; cat ekin.dat; cat epot.dat
endif
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.pyo' -print0 | xargs -0 rm -f
	find . -name '*.la' -print0 | xargs -0 rm -f

=== debian/watch ===
version=3
https://launchpad.net/esys-particle/ .*/ESyS-Particle-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 16 Nov 2012 17:07:07 +0000

## esys-particle 2.2.u2

=== debian/changelog ===
esys-particle (2.2.u2-2ubuntu4) trusty; urgency=medium

  * Force linking with boost_python.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 11:18:11 +0000

esys-particle (2.2.u2-2ubuntu3) trusty; urgency=medium

  * Use ax_boost_* macros to be able detect multiarched boost.
  * Rebuild against libopenmpi 1.6.
  * Lighten boost build-depends, to the required ones only.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2013 23:27:22 +0000

esys-particle (2.2.u2-2ubuntu2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:18:17 -0500

esys-particle (2.2.u2-2ubuntu1) trusty; urgency=low

  * Set NO_PNG_PKG_MANGLE to avoid taking days to build on buildds.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 23 Oct 2013 23:36:17 -0600

esys-particle (2.2.u2-2) unstable; urgency=low

  * [aab3e6d] Disable autotests on ia64.
  * [d1607f8] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Aug 2013 21:46:03 +0200

esys-particle (2.2.u2-1) unstable; urgency=low

  [ Bart Martens ]
  * [0705c94] Update debian/watch.

  [ Anton Gladky ]
  * [eae57a4] Imported Upstream version 2.2.2
  * [6a29aac] Change version number in docs.
  * [90e4576] Use canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Tue, 27 Aug 2013 22:10:21 +0200

=== debian/control ===
Source: esys-particle
Section: science
Priority: extra
Build-Depends:
 autoconf (>= 2.59),
 autoconf-archive,
 automake (>= 1.8.2),
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 doxygen,
 graphviz,
 libboost-all-dev,
 libboost-dev,
 libboost-iostreams-dev,
 libcppunit-dev,
 libltdl7-dev,
 libtool (>= 1.5.2),
 libvtk5-dev,
 mpi-default-bin,
 mpi-default-dev,
 python-demgengeo,
 python-epydoc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Homepage: https://launchpad.net/esys-particle
Vcs-Git: git://anonscm.debian.org/debian-science/packages/esys-particle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/esys-particle.git

Package: esys-particle
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libjs-jquery,
 mpi-default-bin,
 python (>= 2.7),
 python-demgengeo,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 paraview
Description: Software for particle-based numerical modelling. MPI version.
 ESyS-Particle is Open Source software for particle-based numerical modelling.
 The software implements the Discrete Element Method (DEM), a widely used
 technique for modelling processes involving large deformations, granular flow
 and/or fragmentation. ESyS-Particle is designed for execution on parallel
 supercomputers, clusters or multi-core PCs running a Linux-based operating
 system. The C++ simulation engine implements spatial domain decomposition via
 the Message Passing Interface (MPI). A Python wrapper API provides flexibility
 in the design of numerical models, specification of modelling parameters and
 contact logic, and analysis of simulation data. ESyS-Particle has been
 utilised to simulate earthquake nucleation, comminution in shear cells, silo
 flow, rock fragmentation, and fault gouge evolution, to name but a few
 applications.

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,32 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@ --parallel --with autoreconf
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
-disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x
+disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64
 
 export LD_LIBRARY_PATH :=  $(CURDIR)/debian/esys-particle/usr/lib/${DEB_HOST_MULTIARCH}/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/util/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/:$(LD_LIBRARY_PATH);
 
 export PYTHONPATH := $(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/:$(PYTHONPATH);
 
+export NO_PNG_PKG_MANGLE := 1
+
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := -lboost_system $(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS := -lboost_python -lboost_system $(shell dpkg-buildflags --get LDFLAGS)
 
 extra_flags += CC=mpicc CXX=mpicxx CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)'\
  LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(extra_flags) 
+	dh_auto_configure -- $(extra_flags) --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build --parallel
 	doxygen
 
 override_dh_pysupport:

=== debian/watch ===
version=3
opts=dversionmangle=s/^2\.2\.u1$/2.2-update-1/ \
https://launchpad.net/esys-particle/+download \
(?:.*/|.*=|)ESyS-Particle[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Tue, 07 May 2013 05:23:38 +0000

## esys-particle 2.3

=== debian/changelog ===
esys-particle (2.3-2) unstable; urgency=medium

  * [4e1ad10] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Wed, 14 May 2014 20:17:23 +0200

esys-particle (2.3-1) unstable; urgency=medium

  [ Adam Conrad ]
  * [e3f8cf5] Set NO_PNG_PKG_MANGLE to avoid taking days to build on buildds.

  [ Anton Gladky ]
  * [ea3f3d0] Imported Upstream version 2.3
  * [9f1ea9e] Update docs.
  * [b4d3f6b] Bump Standards-Version: 3.9.5.
  * [b150590] Update dates in copyright.
  * [aab3773] Ignore quilt dir
  * [27fecb7] Unapply patches after build

  [ Dimitri John Ledkov ]
  * [754563b] Force linking with boost_python.

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Jan 2014 14:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
  doxygen,
  graphviz,
  libboost-all-dev,
- libboost-dev,
- libboost-iostreams-dev,
  libcppunit-dev,
  libltdl7-dev,
  libtool (>= 1.5.2),
@@ -21,14 +19,14 @@
  mpi-default-dev,
  python-demgengeo,
  python-epydoc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/esys-particle
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/esys-particle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/esys-particle.git
+XS-Testsuite: autopkgtest
 
 Package: esys-particle
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := -lboost_python -lboost_system $(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS := -lboost_python -lboost_system -lpython2.7 $(shell dpkg-buildflags --get LDFLAGS)
 
 extra_flags += CC=mpicc CXX=mpicxx CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)'\
  LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk

## esys-particle 2.3.3+dfsg1

=== Tools/CMakeLists.txt ===
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/dump2geo")
#ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/dump2pov")
#ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/mesh2pov")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/rotextract")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/StressCalculator")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/ExtractGrains")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/dump2vtk")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/ExtractFractures")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/ForceChains")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools/ExtractStrain")

=== ntable/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "src/*.cpp")
#===========================================================
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/ntable/src)
ADD_LIBRARY(ntable SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(ntable ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS ntable DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== pis/CMakeLists.txt ===
FILE(GLOB PIS_SRC_LIB "*.cpp")
#===========================================================
ADD_LIBRARY(pis SHARED ${PIS_SRC_LIB})
TARGET_LINK_LIBRARIES(pis ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS pis DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== Python/BoostPythonUtil/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

ADD_LIBRARY(BoostPythonUtil SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(BoostPythonUtil ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS BoostPythonUtil DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/py)

=== Tools/dump2pov/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(dump2pov ${SRC})
TARGET_LINK_LIBRARIES(dump2pov libLsmPy)
INSTALL(TARGETS dump2pov DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== tml/message/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

ADD_LIBRARY(TmlMessage SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(TmlMessage ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS TmlMessage DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== Python/esys/lsm/CMakeLists.txt ===
#===========================================================
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/esys/lsm/util")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/esys/lsm/geometry")

ADD_LIBRARY(libLsmPy SHARED LsmMpiPy.cpp RunnablePy.cpp CheckPointParamsPy.cpp InteractionParamsPy.cpp InteractionGroupPy.cpp BondInteractionGroupPy.cpp BondedTriMeshPrmsPy.cpp BondedMesh2DPrmsPy.cpp MeshBuildParamsPy.cpp WallPrmsPy.cpp ParticlePy.cpp FieldSaverPrmsPy.cpp ParticleFieldSaverPrmsPy.cpp InteractionFieldSaverPrmsPy.cpp ElasticTriMeshPrmsPy.cpp WallFieldSaverPrmsPy.cpp TriangleFieldSaverPrmsPy.cpp RotParticlePy.cpp LmParticleAdder.cpp TriggerPrmsPy.cpp ElasticMesh2DPrmsPy.cpp ParticleIdPairSetPy.cpp ParticleIdPairPy.cpp ParticleIdPairVectorPy.cpp RotParticleViPy.cpp RotThermalParticlePy.cpp)
ADD_LIBRARY(LsmPy SHARED LsmMpiPy.cpp RunnablePy.cpp CheckPointParamsPy.cpp InteractionParamsPy.cpp InteractionGroupPy.cpp BondInteractionGroupPy.cpp BondedTriMeshPrmsPy.cpp BondedMesh2DPrmsPy.cpp MeshBuildParamsPy.cpp WallPrmsPy.cpp ParticlePy.cpp FieldSaverPrmsPy.cpp ParticleFieldSaverPrmsPy.cpp InteractionFieldSaverPrmsPy.cpp ElasticTriMeshPrmsPy.cpp WallFieldSaverPrmsPy.cpp TriangleFieldSaverPrmsPy.cpp RotParticlePy.cpp LmParticleAdder.cpp TriggerPrmsPy.cpp ElasticMesh2DPrmsPy.cpp ParticleIdPairSetPy.cpp ParticleIdPairPy.cpp ParticleIdPairVectorPy.cpp RotParticleViPy.cpp RotThermalParticlePy.cpp)

TARGET_LINK_LIBRARIES(libLsmPy Parallel Foundation Geometry Model libFoundationPy BoostPythonUtil ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
TARGET_LINK_LIBRARIES(LsmPy Parallel Foundation Geometry Model libFoundationPy BoostPythonUtil ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS libLsmPy DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
INSTALL(TARGETS LsmPy DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== Python/esys/lsm/util/CMakeLists.txt ===
#===========================================================

ADD_LIBRARY(libFoundationPy SHARED Vec3Py.cpp BoundingBoxPy.cpp BoundingSpherePy.cpp RngPy.cpp SetPy.cpp VectorPy.cpp QuaternionPy.cpp)
ADD_LIBRARY(FoundationPy SHARED ExportModuleUtil.cpp)

TARGET_LINK_LIBRARIES(libFoundationPy ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
TARGET_LINK_LIBRARIES(FoundationPy ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS libFoundationPy DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
INSTALL(TARGETS FoundationPy DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
esys-particle (2.3.3+dfsg1-2ubuntu3) xenial; urgency=medium

  * Add powerpc to disable_auto_test_archs_mpi.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 20:34:47 +0100

esys-particle (2.3.3+dfsg1-2ubuntu2) xenial; urgency=medium

  * debian/tests/build1: Don't use deprecated variable.
  * Allow stderr for the tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2016 15:05:02 +0100

esys-particle (2.3.3+dfsg1-2) unstable; urgency=medium

  * [e1bd0e9] Fix build-test. (Closes: #813814)
  * [6864793] Apply cme fix dpkg.
  * [af388bd] Fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Feb 2016 19:33:18 +0100

esys-particle (2.3.3+dfsg1-1) unstable; urgency=medium

  * [cd2a862] Migrate to vtk6.
  * [2e8942e] Refresh patches.
  * [6a4d843] Update d/copyright.
  * [f7dee14] Update d/watch.
  * [4bab6ec] Update doc-files.
  * [208d2f3] Enable pdf-generation.
  * [8d734ab] Enable vtk. (Closes: #784161)
  * [6c7087a] Prevent epydoc from putting timestamp in docs
  * [4aba894] Imported Upstream version 2.3.3+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2015 23:03:30 +0200

=== debian/control ===
Source: esys-particle
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: autoconf,
               autoconf-archive,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               graphviz,
               libboost-all-dev,
               libcppunit-dev,
               libltdl7-dev,
               libtool,
               libvtk6-dev,
               mpi-default-bin,
               mpi-default-dev,
               python-demgengeo,
               texlive-latex-extra,
               texlive-fonts-recommended,
               texlive-latex-recommended,
               python-epydoc (>= 3.0.1+dfsg-6)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/esys-particle.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/esys-particle.git
Homepage: https://launchpad.net/esys-particle

Package: esys-particle
Architecture: any
Multi-Arch: foreign
Depends: libjs-jquery,
         mpi-default-bin,
         python (>= 2.7),
         python-demgengeo,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: paraview
Pre-Depends: ${misc:Pre-Depends}
Description: Software for particle-based numerical modelling. MPI version.
 ESyS-Particle is Open Source software for particle-based numerical modelling.
 The software implements the Discrete Element Method (DEM), a widely used
 technique for modelling processes involving large deformations, granular flow
 and/or fragmentation. ESyS-Particle is designed for execution on parallel
 supercomputers, clusters or multi-core PCs running a Linux-based operating
 system. The C++ simulation engine implements spatial domain decomposition via
 the Message Passing Interface (MPI). A Python wrapper API provides flexibility
 in the design of numerical models, specification of modelling parameters and
 contact logic, and analysis of simulation data. ESyS-Particle has been
 utilised to simulate earthquake nucleation, comminution in shear cells, silo
 flow, rock fragmentation, and fault gouge evolution, to name but a few
 applications.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --parallel --with autoreconf
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
-disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64
+disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64 powerpc
 
 export LD_LIBRARY_PATH :=  $(CURDIR)/debian/esys-particle/usr/lib/${DEB_HOST_MULTIARCH}/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/util/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/:$(LD_LIBRARY_PATH);
 
@@ -20,7 +20,7 @@
 LDFLAGS := -lboost_python -lboost_system -lpython2.7 $(shell dpkg-buildflags --get LDFLAGS)
 
 extra_flags += CC=mpicc CXX=mpicxx CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)'\
- LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk
+ LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk --with-latex --enable-vtk
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extra_flags) --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -35,7 +35,7 @@
 	dh_auto_install
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))	
 	cd $(CURDIR)/debian/test; python box.py 15.0
-	cd $(CURDIR)/debian/test; mpirun -np 3 $(CURDIR)/debian/esys-particle/usr/bin/esysparticle compression.py; cat nbons.dat; cat ekin.dat; cat epot.dat
+	cd $(CURDIR)/debian/test; mpirun --allow-run-as-root -np 3 $(CURDIR)/debian/esys-particle/usr/bin/esysparticle compression.py; cat nbons.dat; cat ekin.dat; cat epot.dat
 endif
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
 	find . -name '*.pyo' -print0 | xargs -0 rm -f

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
https://launchpad.net/esys-particle/+download \
(?:.*/|.*=|)ESyS-Particle[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Tue, 07 May 2013 05:23:38 +0000

## esys-particle 2.3.4+dfsg1

=== debian/changelog ===
esys-particle (2.3.4+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [98275b4] Allow stderr output in the autopkgtests, see #814451
  * [1cbced3] Replace deprecated OMPI_MCA_orte_rsh_agent with OMPI_MCA_plm_rsh_agent
  * [80173d5] Allow --oversubscribe for autopkgtests

  [ Anton Gladky ]
  * [8c2c2f2] Fix path in doc-base.
  * [44eaa1d] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 09:49:21 +0100

esys-particle (2.3.4+dfsg1-3) unstable; urgency=medium

  * [38e17b8] Temporarly disable build-test. (Closes: #837914)

 -- Anton Gladky <gladk@debian.org>  Mon, 19 Sep 2016 20:44:49 +0200

esys-particle (2.3.4+dfsg1-2) unstable; urgency=medium

  * [c532de1] Esys-Particle relicensed under Apache-2.0

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Aug 2016 06:42:55 +0200

esys-particle (2.3.4+dfsg1-1) unstable; urgency=medium

  * [15dc089] Imported Upstream version 2.3.4+dfsg1
  * [677425a] Refresh patches.
  * [04eefeb] Fix FTBFS with gcc-6. (Closes: #811838)

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Aug 2016 20:44:56 +0200

=== debian/control ===
--- 
+++ 
@@ -24,9 +24,9 @@
                texlive-fonts-recommended,
                texlive-latex-recommended,
                python-epydoc (>= 3.0.1+dfsg-6)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/esys-particle.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/esys-particle.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/esys-particle.git
 Homepage: https://launchpad.net/esys-particle
 
 Package: esys-particle
@@ -34,7 +34,7 @@
 Multi-Arch: foreign
 Depends: libjs-jquery,
          mpi-default-bin,
-         python (>= 2.7),
+         python,
          python-demgengeo,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --parallel --with autoreconf
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
-disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64 powerpc
+disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64
 
 export LD_LIBRARY_PATH :=  $(CURDIR)/debian/esys-particle/usr/lib/${DEB_HOST_MULTIARCH}/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/util/:$(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/esys/lsm/:$(LD_LIBRARY_PATH);
 
@@ -35,7 +35,7 @@
 	dh_auto_install
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))	
 	cd $(CURDIR)/debian/test; python box.py 15.0
-	cd $(CURDIR)/debian/test; mpirun --allow-run-as-root -np 3 $(CURDIR)/debian/esys-particle/usr/bin/esysparticle compression.py; cat nbons.dat; cat ekin.dat; cat epot.dat
+#cd $(CURDIR)/debian/test; mpirun --allow-run-as-root -np 3 $(CURDIR)/debian/esys-particle/usr/bin/esysparticle compression.py; cat nbons.dat; cat ekin.dat; cat epot.dat
 endif
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
 	find . -name '*.pyo' -print0 | xargs -0 rm -f

## esys-particle 2.3.5%2Bdfsg1

=== Model/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================
ADD_LIBRARY(Model SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(Model Foundation Geometry TmlMessage TmlType TmlComm Parallel ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS Model DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
esys-particle (2.3.5+dfsg1-4build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 11:05:54 +0000

esys-particle (2.3.5+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:41:12 +0000

esys-particle (2.3.5+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Enforce a minimum autoconf-archive version due to bug: #948078

  [ Stuart Prescott ]
  * Use Python 3 for packaging (Closes: #936489).
  * Bump to debhelper-compat (= 12).
  * Add patches for building against newer MPI.
  * Fix Vcs-* fields.
  * Update Standards-Version to 4.4.1 (no changes required).

  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Change priority extra to priority optional.

 -- Stuart Prescott <stuart@debian.org>  Fri, 27 Dec 2019 01:20:58 +1100

esys-particle (2.3.5+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload with a correct version so this looks like a proper NMU.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 27 Aug 2019 00:04:34 +0000

esys-particle (2.3.5+dfsg1-3) unstable; urgency=medium

  * Non-maintainer upload.
  * Put back debian/test from 2.3.5+dfsg1-2.1, which accidentally got lost.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Aug 2019 00:44:04 +0000

esys-particle (2.3.5+dfsg1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace previous NMU with a new source-only upload.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 08 Aug 2019 02:18:34 +0000

esys-particle (2.3.5+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Eliminate dependency on epydoc, which will be removed (closes: #881546).
    - Update debian/control to remove Build-Depends: python-epydoc
    - Update debian/rules to remove --with-epydoc from LDFLAG

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Aug 2019 15:00:49 +0000

esys-particle (2.3.5+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -g1 on mips/mipsel to work around address space
    limitations. (Closes: #915402)

 -- Adrian Bunk <bunk@debian.org>  Tue, 01 Jan 2019 17:13:15 +0200

esys-particle (2.3.5+dfsg1-2) unstable; urgency=medium

  [ gregor herrmann ]
  * [1da0be3] Fix "Unescaped left brace in regex is illegal" error in perl
              helper scripts. (Closes: #870821)

  [ Anton Gladky ]
  * [314841d] Drop dependencies on dh-autoreconf and autotools-dev.
  * [337b5dc] Bump Standards-Version: 4.0.0

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Aug 2017 22:05:00 +0200

esys-particle (2.3.5+dfsg1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 17 Jul 2017 20:18:46 +0200

esys-particle (2.3.5+dfsg1-1~exp1) experimental; urgency=medium

  * [aa0e9a5] New upstream version 2.3.5+dfsg1
  * [6cf5103] Refresh patches.
  * [3cb6141] Update path in doc-base.
  * [bcca51d] Shorten line in d/changelog.
  * [238adb6] Switch to compat level 10.
  * [70647ad] Use hardening=+all  option.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 May 2017 22:54:23 +0200

## esys-particle 2.3.5%2Bdfsg2

=== debian/control ===
Source: esys-particle
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: autoconf,
               autoconf-archive (>> 20190106-2),
               automake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               graphviz,
               libboost-all-dev,
               libcppunit-dev,
               libltdl-dev,
               libtool,
               libvtk9-dev,
               mpi-default-bin,
               mpi-default-dev,
               python3-dev,
               python3-gengeo,
               texlive-latex-extra,
               texlive-fonts-recommended,
               texlive-latex-recommended
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/esys-particle/
Vcs-Git: https://salsa.debian.org/science-team/esys-particle.git
Homepage: https://launchpad.net/esys-particle
Rules-Requires-Root: no

Package: esys-particle
Architecture: any
Depends: libjs-jquery,
         mpi-default-bin,
         python3,
         python3-gengeo,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: paraview
Pre-Depends: ${misc:Pre-Depends}
Description: Software for particle-based numerical modelling (MPI version)
 ESyS-Particle is Open Source software for particle-based numerical modelling.
 The software implements the Discrete Element Method (DEM), a widely used
 technique for modelling processes involving large deformations, granular flow
 and/or fragmentation. ESyS-Particle is designed for execution on parallel
 supercomputers, clusters or multi-core PCs running a Linux-based operating
 system. The C++ simulation engine implements spatial domain decomposition via
 the Message Passing Interface (MPI). A Python wrapper API provides flexibility
 in the design of numerical models, specification of modelling parameters and
 contact logic, and analysis of simulation data. ESyS-Particle has been
 utilised to simulate earthquake nucleation, comminution in shear cells, silo
 flow, rock fragmentation, and fault gouge evolution, to name but a few
 applications.

## esys-particle 2.3.5+dfsg1

=== Python/CMakeLists.txt ===
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/BoostPythonUtil")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/MpiPython")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/esys")

=== Python/esys/CMakeLists.txt ===
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python/esys/lsm")
INSTALL(FILES ${CMAKE_SOURCE_DIR}/Python/esys/__init__.py DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/py)

=== Tools/ExtractGrains/CMakeLists.txt ===
#===========================================================
ADD_EXECUTABLE(grainextract main.cpp graph.cpp readSnap.cpp probdist.cpp Frac.cpp Triangle2d.cpp)
TARGET_LINK_LIBRARIES(grainextract Foundation)
INSTALL(TARGETS grainextract DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== Tools/mesh2pov/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(mesh2pov ${SRC})
TARGET_LINK_LIBRARIES(mesh2pov Foundation Geometry Model Parallel libFoundationPy BoostPythonUtil )
INSTALL(TARGETS mesh2pov DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== Tools/rotextract/CMakeLists.txt ===
FILE(GLOB SRC "*.cpp")
#===========================================================
ADD_EXECUTABLE(rotextract ${SRC})
INSTALL(TARGETS rotextract DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== tml/comm/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

ADD_LIBRARY(TmlComm SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(TmlComm Foundation ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS TmlComm DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== tml/type/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

ADD_LIBRARY(TmlType SHARED ${MODEL_SRC_LIB})
TARGET_LINK_LIBRARIES(TmlType ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
INSTALL(TARGETS TmlType DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/control ===
Source: esys-particle
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: autoconf,
               autoconf-archive,
               automake,
               debhelper (>= 10),
               doxygen,
               graphviz,
               libboost-all-dev,
               libcppunit-dev,
               libltdl7-dev,
               libtool,
               libvtk6-dev,
               mpi-default-bin,
               mpi-default-dev,
               python-demgengeo,
               texlive-latex-extra,
               texlive-fonts-recommended,
               texlive-latex-recommended
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/esys-particle.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/esys-particle.git
Homepage: https://launchpad.net/esys-particle

Package: esys-particle
Architecture: any
Multi-Arch: foreign
Depends: libjs-jquery,
         mpi-default-bin,
         python,
         python-demgengeo,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: paraview
Pre-Depends: ${misc:Pre-Depends}
Description: Software for particle-based numerical modelling. MPI version.
 ESyS-Particle is Open Source software for particle-based numerical modelling.
 The software implements the Discrete Element Method (DEM), a widely used
 technique for modelling processes involving large deformations, granular flow
 and/or fragmentation. ESyS-Particle is designed for execution on parallel
 supercomputers, clusters or multi-core PCs running a Linux-based operating
 system. The C++ simulation engine implements spatial domain decomposition via
 the Message Passing Interface (MPI). A Python wrapper API provides flexibility
 in the design of numerical models, specification of modelling parameters and
 contact logic, and analysis of simulation data. ESyS-Particle has been
 utilised to simulate earthquake nucleation, comminution in shear cells, silo
 flow, rock fragmentation, and fault gouge evolution, to name but a few
 applications.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
+
+# less debug info to avoid running out of address space
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+  export DEB_CXXFLAGS_MAINT_APPEND += -g1
+endif
 
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x ia64
@@ -13,6 +18,7 @@
 export PYTHONPATH := $(CURDIR)/debian/esys-particle/usr/lib/python2.7/dist-packages/:$(PYTHONPATH);
 
 export NO_PNG_PKG_MANGLE := 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
@@ -20,7 +26,7 @@
 LDFLAGS := -lboost_python -lboost_system -lpython2.7 $(shell dpkg-buildflags --get LDFLAGS)
 
 extra_flags += CC=mpicc CXX=mpicxx CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)'\
- LDFLAGS='$(LDFLAGS)' --with-epydoc --with-vtk --with-latex --enable-vtk
+ LDFLAGS='$(LDFLAGS)' --with-vtk --with-latex --enable-vtk
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extra_flags) --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
